// V1.1

// // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // //
///////////////////////////   TAILLES   ///////////////////////////

function TailleDeLaPage(){ // V1.1
	const body = document.body;
	const html = document.documentElement;
	const _HauteurDeLaFenetre = Math.max(body.scrollHeight, body.offsetHeight,html.clientHeight, html.scrollHeight, html.offsetHeight);
	const _LargeurDeLaFenetre = Math.max(body.scrollWidth, body.offsetWidth,html.clientWidth, html.scrollWidth, html.offsetWidth);
	return [HauteurDeLaPage,LargeurDeLaPage];
}

function agrandit(id){ // V1.1
	var ImageLargeur=document.getElementById(id).width;
	var HauteurRelative=1.0*document.getElementById(id).height/ImageLargeur;

	var _LargeurDeLaFenetre=Largeur_DeLaFenetre();
	var _HauteurDeLaFenetre=Hauteur_DeLaFenetre();

	var left=ImageLargeur/20;

	var NouvelleLargeur=LargeurDeLaPage-2.0*left;
	var NouvelleHauteur=NouvelleLargeur*HauteurRelative;
	//alert(NouvelleHauteur);
	if ( NouvelleHauteur > _HauteurDeLaFenetre - 2.0*HauteurRelative*left){
		NouvelleHauteur = _HauteurDeLaFenetre - 2.0 * HauteurRelative*left;
		NouvelleLargeur=NouvelleHauteur/HauteurRelative;
		left=(LargeurDeLaPage-NouvelleLargeur)/2.0
	}
	//alert(NouvelleHauteur);
	document.getElementById(id).style.width=Number(NouvelleLargeur).toString()+"px";
	document.getElementById(id).style.marginLeft=left.toString()+"px";
	document.getElementById(id).style.height=Number(NouvelleHauteur).toString()+"px";
	document.getElementById(id).style.marginTop=((HauteurDeLaPage-NouvelleHauteur)/2.0).toString()+"px";

}

function Largeur_DeLaFenetre(){ // V1.1
	var width = (window.innerWidth > 0) ? window.innerWidth : screen.width;
	//alert(width);
	return width;
}
function Hauteur_DeLaFenetre(){ // V1.1
	var height = (window.innerHeight > 0) ? window.innerHeight : screen.height;
	//alert(height);
	return height;
}


function HauteurSet(a,valeur="100%"){document.getElementById(a).style.height=valeur;}

// // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // //







/////////// AFFICHAGE ( block...
function affiche(a){ // V1.1
	document.getElementById(a).style.display="block";
}

function cache(a){ // V1.1
	document.getElementById(a).style.display="none";
}

function AfficheON(a){ // V1.1
	if (document.getElementById(a).style.display=="block"){cache(a);}
	else{affiche(a);}
	}

function AfficheC(a){ // V1.1
	var boxes=document.getElementsByClassName(a);
	var i=boxes.length;
	while (i--){boxes[i].style.display="block";}
	}

function CacheC(a){ // V1.1
	var boxes=document.getElementsByClassName(a);
	i=boxes.length;
	while (i--){boxes[i].style.display="none";}
	}


// // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // //


////////////////////////// DISTANCE /////////////////////////////////
	function GetDistance(origin, destination) { // V1.1
		// return distance in meters
		var lon1 = toRadian(origin[1]),
			lat1 = toRadian(origin[0]),
			lon2 = toRadian(destination[1]),
			lat2 = toRadian(destination[0]);

		var deltaLat = lat2 - lat1;
		var deltaLon = lon2 - lon1;

		var a = Math.pow(Math.sin(deltaLat/2), 2) + Math.cos(lat1) * Math.cos(lat2) * Math.pow(Math.sin(deltaLon/2), 2);
		var c = 2 * Math.asin(Math.sqrt(a));
		var EARTH_RADIUS = 6371;
		return c * EARTH_RADIUS * 1000;
	}

	function toRadian(degree) { // V1.1
		return degree*Math.PI/180;
	}
	//var distance = getDistance([lat1, lng1], [lat2, lng2])
	////////////////////////// DISTANCE /////////////////////////////////



// // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // v



var x = document.images.length;

function allume(a){ // V1.1
	var div=document.getElementById(a);
	div.style.color="#EF2598";
	div.style.backgroundColor="#EF2598";
	var dedd=a.split("@");
	if(div.firstChild.className.search("beta")!=-1){allume((Number(dedd[0])+1)+"@"+(Number(dedd[1])));};
	if(div.firstChild.className.search("alpha")!=-1){allume((Number(dedd[0])-2)+"@"+(Number(dedd[1])-4));};
	if(div.firstChild.className.search("BetaPlus")!=-1){allume((Number(dedd[0])-1)+"@"+(Number(dedd[1])));};
	}

// // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // //
function ExecuteLaFonctionDansT(microsecondes){ // V1.1
	window.setTimeout(function(){affiche("ideux")},Number(microsecondes));
	}
// // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // //
function ALPHAallume(a){ // V1.1
	var div=document.getElementById(a);
	div.style.color="#EF2598";
	div.style.backgroundColor="#EF2598";
	var dedd=a.split("@");
	if(div.firstChild.className.search("beta")!=-1){BetaMallume((dedd[0]+1)+"@"+(dedd[1]));};
	if(div.firstChild.className.search("alpha")!=-1){ALPHAallume((dedd[0]-2)+"@"+(dedd[1]-4));};
	/*
	if(div.firstChild.className=='case alpha'){ // V1.1
		var ideu=div.id;
		var dedd=ideu.split("@");
		ALPHAallume((dedd[0]-2)+"@"+(dedd[1]-4));
		BetaMallume((dedd[0]+1)+"@"+(dedd[1]));
		};
	*/
	}

function BetaMallume(a){ // V1.1
	var div=document.getElementById(a);
	div.style.color="#EF2598";
	div.style.backgroundColor="#EF2598";
	var dedd=div.id.split("@");
	//alert(div.firstChild.className);
	if(div.firstChild.className.search("beta")!=-1){
			//alert((Number(dedd[0])+1)+"@"+(dedd[1]));
			BetaMallume((Number(dedd[0])+1)+"@"+(dedd[1]));};
	if(div.firstChild.className.search("alpha")!=-1){ALPHAallume((dedd[0]-2)+"@"+(dedd[1]-4));};

	}



// // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // //
// Contenu des elements

function DetruitHTML(a){ // V1.1
	document.getElementById(a).outerHTML='';
	}
function ContenuHtml(ID){ // V1.1
	return document.getElementById(ID).innerHTML;
	}
function ChangeContenuHtml(ID,texte){ // V1.1
	document.getElementById(ID).innerHTML=texte;
	}
function ChangeContenuHtmlON(ID,texte1,texte2){ // V1.1
	if (ContenuHtml(ID)==texte2){ChangeContenuHtml(ID,texte1);}
	else{ChangeContenuHtml(ID,texte2);}
	}

// // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // // //
